Subject: Re: /etc and /usr/etc [was re: Seen in comp.os.minix]

From: [email-masked] (Mike Murphy)
Date: Thu, 20 Feb 92 13:24:26 PST

>> In retrospect I also think that /bin/init is a bad idea, but then it should
>> be /lib/init.

>Agreed.

>> ...../lib should contrain libraries, support files *and* executables which
>> shouldn't be in anyones path.
Agreed :-) The trick is to minimize what is in the device or partition of a
device that contains root (/). /lib should therefore contain only the minimal
stuff to allow a system to run. Same for /etc and /bin. Just enough to let the
system repair itself. Symlink the rest if it pleases, but it is really a bad
idea to set up a system that requires itself to be whole to make itself whole.

Or maybe rename it from linux to catch22ix :-)

Seriously, from a practical standpoint, what I'd like to be able to do is

1) Boot a WRITE-PROTECTED diskette.
2) Futz with my hard drive(s) from said standalone diskette system to set
   'em up, format, partition, mkfs, mount and such.
3) Use some simple utility like tar to suck the rest of a distribution from
   diskette, tape if I'm lucky, or network if I'm luckier.
4) Reboot from the hard drive.
5) Merrily configure my system and do useful work...

I'd be disappointed if a Draft didn't take such considerations to heart.

>> 
>> And with this small change I'd like to see the Draft accepted.

>Agreed.  I will make the change.  All in favor?  All opposed?  Good.
>It passes.  (seriously, one last day to bring up comments).
Disagreed :-)

This ignores a common use of init to change run states. As such it should
probably live not in /lib. I think that /etc/init is a better place. Not
that it matters all that much when source for everything is to be the norm.
If I think that my way is better, why then, I'll just go change things. That's
the code of the West :-)
--
Mike Murphy  [email-masked]  ucsd!optigfx!mrm    +1 619 292 6060 x 265
Optigraphics Corporation  9339 Carroll Park Drive  San Diego, CA  92121
The opinion(s) expressed above are  mine  and not those of my employer.